Modify

Opened 7 years ago

Closed 7 years ago

Last modified 22 months ago

#5768 closed defect (fixed)

pata_sc1200 broken on linux-2.6.30.x

Reported by: acoul <alex at ozo.com> Owned by: developers
Priority: high Milestone: Barrier Breaker 14.07
Component: kernel Version: Trunk
Keywords: wrap sc1200 libata Cc:

Description

the wrap x86 board does not boot on linux-2.6.30.5 using ata/scsi sc1200 (pata_sc1200)

Linux version 2.6.30.5 (alex@motard) (gcc version 4.4.1 (GCC) ) #3 Fri Aug 28 21:01:08 EEST 2009
KERNEL supported cpus:                                      
  Intel GenuineIntel                                        
  AMD AuthenticAMD                                          
CPU: vendor_id 'Geode by NSC' unknown, using generic init.  
CPU: Your system may be unstable.                           
BIOS-provided physical RAM map:                             
 BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)    
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)  
 BIOS-e820: 0000000000100000 - 0000000008000000 (usable)    
 BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)  
DMI not present or invalid.                                 
last_pfn = 0x8000 max_arch_pfn = 0x100000                   
init_memory_mapping: 0000000000000000-0000000008000000      
128MB LOWMEM available.                                     
  mapped low ram: 0 - 08000000                              
  low ram: 0 - 08000000                                     
  node 0 low ram: 00000000 - 08000000                       
  node 0 bootmap 00001000 - 00002000                        
(6 early reservations) ==> bootmem [0000000000 - 0008000000]
  #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
  #1 [0000100000 - 0000363054]    TEXT DATA BSS ==> [0000100000 - 0000363054]
  #2 [000009f000 - 0000100000]    BIOS reserved ==> [000009f000 - 0000100000]
  #3 [0000364000 - 0000366000]              BRK ==> [0000364000 - 0000366000]
  #4 [0000007000 - 0000025000]          PGTABLE ==> [0000007000 - 0000025000]
  #5 [0000001000 - 0000002000]          BOOTMAP ==> [0000001000 - 0000002000]
Zone PFN ranges:                                                             
  DMA      0x00000000 -> 0x00001000                                          
  Normal   0x00001000 -> 0x00008000                                          
Movable zone start PFN for each node                                         
early_node_map[2] active PFN ranges                                          
    0: 0x00000000 -> 0x000000a0                                              
    0: 0x00000100 -> 0x00008000                                              
Using APIC driver default                                                    
No local APIC present or hardware disabled                                   
Allocating PCI resources starting at 10000000 (gap: 8000000:f7f00000)        
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 32416   
Kernel command line: block2mtd.block2mtd=/dev/sda2,131072,rootfs root=/dev/mtdblock0 rootfstype=jffs2  noinitrd console=tty0 console=ttyS0,38400n8 reboot=bios
Initializing CPU#0                                                                                                                                            
NR_IRQS:288                                                                                                                                                   
PID hash table entries: 512 (order: 9, 2048 bytes)                                                                                                            
Fast TSC calibration using PIT                                                                                                                                
Detected 266.601 MHz processor.                                                                                                                               
Console: colour dummy device 80x25                                                                                                                            
console [tty0] enabled                                                                                                                                        
console [ttyS0] enabled                                                                                                                                       
Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)                                                                                                
Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)                                                                                                  
Memory: 126824k/131072k available (1409k kernel code, 3716k reserved, 729k data, 196k init, 0k highmem)                                                       
virtual kernel memory layout:                                                                                                                                 
    fixmap  : 0xfffaa000 - 0xfffff000   ( 340 kB)                                                                                                             
    vmalloc : 0xc8800000 - 0xfffa8000   ( 887 MB)                                                                                                             
    lowmem  : 0xc0000000 - 0xc8000000   ( 128 MB)                                                                                                             
      .init : 0xc0318000 - 0xc0349000   ( 196 kB)                                                                                                             
      .data : 0xc0260731 - 0xc0316f1c   ( 729 kB)                                                                                                             
      .text : 0xc0100000 - 0xc0260731   (1409 kB)                                                                                                             
Checking if this processor honours the WP bit even in supervisor mode...Ok.                                                                                   
SLUB: Genslabs=13, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1                                                                                       
Calibrating delay loop (skipped), value calculated using timer frequency.. 533.20 BogoMIPS (lpj=2666010)                                                      
Mount-cache hash table entries: 512                                                                                                                           
CPU: Geode by NSC Geode(TM) Integrated Processor by National Semi stepping 00                                                                                 
Checking 'hlt' instruction... OK.                                                                                                                             
net_namespace: 528 bytes                                                                                                                                      
NET: Registered protocol family 16                                                                                                                            
PCI: PCI BIOS revision 2.10 entry at 0xfc47b, last bus=0                                                                                                      
PCI: Using configuration type 1 for base access                                                                                                               
bio: create slab <bio-0> at 0                                                                                                                                 
SCSI subsystem initialized                                                                                                                                    
PCI: Probing PCI hardware                                                                                                                                     
pci 0000:00:0e.0: PME# supported from D0 D1 D2 D3hot                                                                                                          
pci 0000:00:0e.0: PME# disabled                                                                                                                               
pci 0000:00:10.0: PME# supported from D0 D1 D2 D3hot                                                                                                          
pci 0000:00:10.0: PME# disabled                                                                                                                               
NET: Registered protocol family 2                                                                                                                             
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)                                                                                                
TCP established hash table entries: 4096 (order: 3, 32768 bytes)                                                                                              
TCP bind hash table entries: 4096 (order: 2, 16384 bytes)                                                                                                     
TCP: Hash tables configured (established 4096 bind 4096)                                                                                                      
TCP reno registered                                                                                                                                           
NET: Registered protocol family 1                                                                                                                             
platform rtc_cmos: registered platform RTC device (no PNP device found)                                                                                       
scx200: NatSemi SCx200 Driver                                                                                                                                 
scx200: GPIO base 0xf400                                                                                                                                      
scx200: Configuration Block base 0x9000                                                                                                                       
squashfs: version 4.0 (2009/01/31) Phillip Lougher                                                                                                            
Registering mini_fo version $Id$                                                                                                                              
JFFS2 version 2.2. (NAND) (SUMMARY)  © 2001-2006 Red Hat, Inc.                                                                                                
msgmni has been set to 247                                                                                                                                    
alg: No test for lzma (lzma-generic)                                                                                                                          
alg: No test for stdrng (krng)                                                                                                                                
io scheduler noop registered                                                                                                                                  
io scheduler deadline registered (default)                                                                                                                    
isapnp: Scanning for PnP cards...                                                                                                                             
isapnp: No Plug & Play device found                                                                                                                           
Non-volatile memory driver v1.3
Serial: 8250/16550 driver, 2 ports, IRQ sharing disabled
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a NS16550A
Driver 'sd' needs updating - please use bus_type methods
BUG: unable to handle kernel paging request at 8bc18aa3
IP: [<c01dfd60>] ata_finalize_port_ops+0xd/0x61
*pde = 00000000
Oops: 0000 [#1]
last sysfs file:
Modules linked in:

Pid: 1, comm: swapper Not tainted (2.6.30.5 #3)
EIP: 0060:[<c01dfd60>] EFLAGS: 00010286 CPU: 0
EIP is at ata_finalize_port_ops+0xd/0x61
EAX: 8bc189c3 EBX: c792340c ECX: c0309490 EDX: 00000000
ESI: 8bc18aa3 EDI: c7910000 EBP: c7817c58 ESP: c7815e64
 DS: 007b ES: 007b FS: 0000 GS: 0000 SS: 0068
Process swapper (pid: 1, ti=c7815000 task=c7818000 task.ti=c7815000)
Stack:
 c792340c 00000001 c7910000 c01e07c0 00000000 c792340c c7815ed4 00000000
 c7817c58 c01ea678 c02c8c89 c01ec10c c02c8c89 c030931c 00000040 c7817c00
 c7815ed4 00000000 c7817c58 c01eabca c030931c c792340c c7817c00 c03092b4
Call Trace:
 [<c01e07c0>] ? ata_host_start+0x32/0x12e
 [<c01ea678>] ? ata_pci_sff_activate_host+0x24/0x1a6
 [<c01ec10c>] ? ata_sff_interrupt+0x0/0x62
 [<c01eabca>] ? ata_pci_sff_init_one+0x9a/0xdd
 [<c01eca50>] ? sc1200_init_one+0x18/0x1b
 [<c01b046e>] ? local_pci_probe+0xb/0xc
 [<c01b0556>] ? pci_device_probe+0x41/0x63
 [<c01d1439>] ? driver_probe_device+0x6f/0xde
 [<c01d14e8>] ? __driver_attach+0x40/0x5b
 [<c01d0d5f>] ? bus_for_each_dev+0x37/0x5f
 [<c01d1327>] ? driver_attach+0x11/0x13
 [<c01d14a8>] ? __driver_attach+0x0/0x5b
 [<c01d10d3>] ? bus_add_driver+0x87/0x1b4
 [<c019ff1d>] ? kset_find_obj+0x18/0x40
 [<c032ade4>] ? sc1200_init+0x0/0x11
 [<c01d16ed>] ? driver_register+0x77/0xd6
 [<c032ade4>] ? sc1200_init+0x0/0x11
 [<c01b0812>] ? __pci_register_driver+0x2c/0x82
 [<c032ade4>] ? sc1200_init+0x0/0x11
 [<c0101043>] ? _stext+0x43/0x107
 [<c016c08a>] ? create_proc_entry+0x6a/0x7d
 [<c012e8c8>] ? register_irq_proc+0x61/0x7a
 [<c0318477>] ? kernel_init+0x68/0xb3
 [<c031840f>] ? kernel_init+0x0/0xb3
 [<c0102d37>] ? kernel_thread_helper+0x7/0x10
Code: 08 51 8b 0b e8 b3 c1 fc ff 8b 44 24 04 23 43 08 59 31 c9 3b 43 0c 0f 94 c1 89 c8 5a 5b c3 57 85 c0 56 8d b0 e0 00 00 00 53 74 50 <8b> 90 e0 00 00 00 85 d2 74 46 89 d3 89 c1
EIP: [<c01dfd60>] ata_finalize_port_ops+0xd/0x61 SS:ESP 0068:c7815e64
CR2: 000000008bc18aa3
---[ end trace fb9192c3b91a79fb ]---
Kernel panic - not syncing: Attempted to kill init!
Clocksource tsc unstable (delta = 590223519 ns)

backporting the pata_sc1200.c from linux-2.6.27.31 resolves this issue:

Linux version 2.6.30.5 (alex@motard) (gcc version 4.4.1 (GCC) ) #1 Fri Aug 28 22:39:38 EEST 2009
KERNEL supported cpus:                                                                          
  Intel GenuineIntel                                                                            
  AMD AuthenticAMD                                                                              
CPU: vendor_id 'Geode by NSC' unknown, using generic init.                                      
CPU: Your system may be unstable.                                                               
BIOS-provided physical RAM map:                                                                 
 BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)                                        
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)                                      
 BIOS-e820: 0000000000100000 - 0000000008000000 (usable)                                        
 BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)                                      
DMI not present or invalid.                                                                     
last_pfn = 0x8000 max_arch_pfn = 0x100000                                                       
init_memory_mapping: 0000000000000000-0000000008000000                                          
128MB LOWMEM available.                                                                         
  mapped low ram: 0 - 08000000                                                                  
  low ram: 0 - 08000000                                                                         
  node 0 low ram: 00000000 - 08000000                                                           
  node 0 bootmap 00001000 - 00002000                                                            
(6 early reservations) ==> bootmem [0000000000 - 0008000000]                                    
  #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]                   
  #1 [0000100000 - 000036309c]    TEXT DATA BSS ==> [0000100000 - 000036309c]                   
  #2 [000009f000 - 0000100000]    BIOS reserved ==> [000009f000 - 0000100000]                   
  #3 [0000364000 - 0000366000]              BRK ==> [0000364000 - 0000366000]                   
  #4 [0000007000 - 0000025000]          PGTABLE ==> [0000007000 - 0000025000]                   
  #5 [0000001000 - 0000002000]          BOOTMAP ==> [0000001000 - 0000002000]                   
Zone PFN ranges:                                                                                
  DMA      0x00000000 -> 0x00001000                                                             
  Normal   0x00001000 -> 0x00008000                                                             
Movable zone start PFN for each node                                                            
early_node_map[2] active PFN ranges                                                             
    0: 0x00000000 -> 0x000000a0                                                                 
    0: 0x00000100 -> 0x00008000                                                                 
Using APIC driver default                                                                       
No local APIC present or hardware disabled                                                      
Allocating PCI resources starting at 10000000 (gap: 8000000:f7f00000)                           
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 32416                      
Kernel command line: block2mtd.block2mtd=/dev/sda2,131072,rootfs root=/dev/mtdblock0 rootfstype=jffs2  noinitrd console=tty0 console=ttyS0,38400n8 reboot=bios
Initializing CPU#0                                                                                                                                            
NR_IRQS:288                                                                                                                                                   
PID hash table entries: 512 (order: 9, 2048 bytes)                                                                                                            
Fast TSC calibration using PIT                                                                                                                                
Detected 266.599 MHz processor.                                                                                                                               
Console: colour dummy device 80x25                                                                                                                            
console [tty0] enabled                                                                                                                                        
console [ttyS0] enabled                                                                                                                                       
Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)                                                                                                
Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)                                                                                                  
Memory: 126824k/131072k available (1410k kernel code, 3716k reserved, 729k data, 196k init, 0k highmem)                                                       
virtual kernel memory layout:                                                                                                                                 
    fixmap  : 0xfffaa000 - 0xfffff000   ( 340 kB)                                                                                                             
    vmalloc : 0xc8800000 - 0xfffa8000   ( 887 MB)                                                                                                             
    lowmem  : 0xc0000000 - 0xc8000000   ( 128 MB)                                                                                                             
      .init : 0xc0318000 - 0xc0349000   ( 196 kB)                                                                                                             
      .data : 0xc0260931 - 0xc0316f1c   ( 729 kB)                                                                                                             
      .text : 0xc0100000 - 0xc0260931   (1410 kB)                                                                                                             
Checking if this processor honours the WP bit even in supervisor mode...Ok.                                                                                   
SLUB: Genslabs=13, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1                                                                                       
Calibrating delay loop (skipped), value calculated using timer frequency.. 533.19 BogoMIPS (lpj=2665990)                                                      
Mount-cache hash table entries: 512                                                                                                                           
CPU: Geode by NSC Geode(TM) Integrated Processor by National Semi stepping 00                                                                                 
Checking 'hlt' instruction... OK.                                                                                                                             
net_namespace: 528 bytes                                                                                                                                      
NET: Registered protocol family 16                                                                                                                            
PCI: PCI BIOS revision 2.10 entry at 0xfc47b, last bus=0                                                                                                      
PCI: Using configuration type 1 for base access                                                                                                               
bio: create slab <bio-0> at 0                                                                                                                                 
SCSI subsystem initialized                                                                                                                                    
PCI: Probing PCI hardware                                                                                                                                     
pci 0000:00:0e.0: PME# supported from D0 D1 D2 D3hot                                                                                                          
pci 0000:00:0e.0: PME# disabled                                                                                                                               
pci 0000:00:10.0: PME# supported from D0 D1 D2 D3hot                                                                                                          
pci 0000:00:10.0: PME# disabled                                                                                                                               
NET: Registered protocol family 2                                                                                                                             
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)                                                                                                
TCP established hash table entries: 4096 (order: 3, 32768 bytes)                                                                                              
TCP bind hash table entries: 4096 (order: 2, 16384 bytes)                                                                                                     
TCP: Hash tables configured (established 4096 bind 4096)                                                                                                      
TCP reno registered                                                                                                                                           
NET: Registered protocol family 1                                                                                                                             
platform rtc_cmos: registered platform RTC device (no PNP device found)                                                                                       
scx200: NatSemi SCx200 Driver                                                                                                                                 
scx200: GPIO base 0xf400                                                                                                                                      
scx200: Configuration Block base 0x9000                                                                                                                       
squashfs: version 4.0 (2009/01/31) Phillip Lougher                                                                                                            
Registering mini_fo version $Id$                                                                                                                              
JFFS2 version 2.2. (NAND) (SUMMARY)  © 2001-2006 Red Hat, Inc.                                                                                                
msgmni has been set to 247                                                                                                                                    
alg: No test for lzma (lzma-generic)                                                                                                                          
alg: No test for stdrng (krng)                                                                                                                                
io scheduler noop registered                                                                                                                                  
io scheduler deadline registered (default)                                                                                                                    
isapnp: Scanning for PnP cards...                                                                                                                             
isapnp: No Plug & Play device found                                                                                                                           
Non-volatile memory driver v1.3                                                                                                                               
cs5535_gpio: DIVIL not found                                                                                                                                  
Serial: 8250/16550 driver, 2 ports, IRQ sharing disabled                                                                                                      
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a NS16550A                                                                                                        
Driver 'sd' needs updating - please use bus_type methods                                                                                                      
scsi0 : sc1200                                                                                                                                                
scsi1 : sc1200                                                                                                                                                
ata1: PATA max UDMA/33 cmd 0x1f0 ctl 0x3f6 bmdma 0xfc00 irq 14                                                                                                
ata2: DUMMY                                                                                                                                                   
natsemi dp8381x driver, version 2.1, Sept 11, 2006                                                                                                            
  originally by Donald Becker <becker@scyld.com>                                                                                                              
  2.4.x kernel port by Jeff Garzik, Tjeerd Mulder                                                                                                             
natsemi eth0: NatSemi DP8381[56] at 0x80000000 (0000:00:0e.0), 00:0d:b9:03:9b:38, IRQ 10, port TP.                                                            
natsemi eth1: NatSemi DP8381[56] at 0x80040000 (0000:00:10.0), 00:0d:b9:03:9b:39, IRQ 11, port TP.                                                            
ata1.00: CFA: HYPERSTONE FLASH DISK, 30/06/03, max PIO2                                                                                                       
ata1.00: 253952 sectors, multi 0: LBA                                                                                                                         
ata1.00: configured for PIO2                                                                                                                                  
ata1.00: configured for PIO2                                                                                                                                  
ata1: EH complete                                                                                                                                             
scsi 0:0:0:0: Direct-Access     ATA      HYPERSTONE FLASH 30/0 PQ: 0 ANSI: 5                                                                                  
sd 0:0:0:0: [sda] 253952 512-byte hardware sectors: (130 MB/124 MiB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
 sda: sda1 sda2
sd 0:0:0:0: [sda] Attached SCSI removable disk
Creating 1 MTD partitions on "rootfs":
0x000000000000-0x000003020000 : "rootfs"
split_squashfs: no squashfs found in "rootfs"
block2mtd: mtd0: [rootfs] erase_size = 128KiB [131072]
PNP: No PS/2 controller found. Probing ports directly.
i8042.c: No controller found.
mice: PS/2 mouse device common for all mice
rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
rtc0: alarms up to one day, 114 bytes nvram
scx200_wdt: timer margin 60 seconds
cpuidle: using governor ladder
cpuidle: using governor menu
enabling scx200 high-res timer (1 MHz +0 ppm)
TCP westwood registered
NET: Registered protocol family 17
Using IPI Shortcut mode
rtc_cmos rtc_cmos: setting system clock to 2000-01-01 00:00:12 UTC (946684812)
jffs2_scan_eraseblock(): End of filesystem marker found at 0xe0000
jffs2_build_filesystem(): unlocking the mtd device... <6>Switched to NOHz mode on CPU #0
done.
jffs2_build_filesystem(): erasing all blocks after the end marker... done.
VFS: Mounted root (jffs2 filesystem) readonly on device 31:0.
Freeing unused kernel memory: 196k freed
Please be patient, while OpenWrt loads ...
Clocksource tsc unstable (delta = -38453084745 ns)
- preinit -
Press CTRL-C for failsafe
- init -

Please press Enter to activate this console. eth0: DSPCFG accepted after 0 usec.
eth0: link up.
eth0: Setting full-duplex based on negotiated link capability.
scx200_wdt: timer margin 60 seconds



BusyBox v1.14.3 (2009-08-28 12:23:12 EEST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 KAMIKAZE (bleeding edge, r17434) -------------------
  * 10 oz Vodka       Shake well with ice and strain
  * 10 oz Triple sec  mixture into 10 shot glasses.
  * 10 oz lime juice  Salute!
 ---------------------------------------------------
root@OpenWrt:/#

063-pata_sc1200-fix.patch follows

Attachments (2)

063-pata_sc1200-fix.patch (6.6 KB) - added by acoul <alex at ozo.com> 7 years ago.
063-pata_sc1200-wrap.patch (2.3 KB) - added by acoul <alex at ozo.com> 7 years ago.
fix wrap/pata_sc1200 segfault on 2.6.30.x

Download all attachments as: .zip

Change History (6)

Changed 7 years ago by acoul <alex at ozo.com>

comment:1 Changed 7 years ago by acoul <alex at ozo.com>

063-pata_sc1200-wrap.patch

instead of backporting 2.6.27.31 pata_sc1200.c to 2.6.30.5, revert just git c0f2ee34a5a0b79fd98d965ad8ae765d4639bfa5 commit. tested on a wrap board with success.

Changed 7 years ago by acoul <alex at ozo.com>

fix wrap/pata_sc1200 segfault on 2.6.30.x

comment:2 Changed 7 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

should be fixed in r17722

comment:3 Changed 7 years ago by acoul <alex at ozo.com>

nbd suggested to open a ticket about this on the mainline kernel bugtrack which I did: http://bugzilla.kernel.org/show_bug.cgi?id=14227

Alan Cox replied in less than 30 minutes with a fix and nbd made a patch for openwrt in no time.

I tested the suggested patch and everything works just fine. This ticket can now close.

PC Engines WRAP.2B/2C v1.11                                 
640 KB Base Memory                                          
64512 KB Extended Memory                                    
                                                            
01F0 Master 848A Hyperstone ATA                             
Phys C/H/S 1001/8/32 Log C/H/S 1001/8/32                    
GRUB Loading stage1.5.                                      
                                                            
                                                            
GRUB loading, please wait...                                
                                                            
Press any key to continue.                                  

Press any key to continue.















Linux version 2.6.31-bfs232 (alex@motard) (gcc version 4.4.1 (GCC) ) #1 Fri Sep 25 17:56:26 EEST 2009
KERNEL supported cpus:                                                                               
  Intel GenuineIntel                                                                                 
  AMD AuthenticAMD                                                                                   
CPU: vendor_id 'Geode by NSC' unknown, using generic init.                                           
CPU: Your system may be unstable.                                                                    
BIOS-provided physical RAM map:                                                                      
 BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)                                             
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)                                           
 BIOS-e820: 0000000000100000 - 0000000004000000 (usable)                                             
 BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)                                           
DMI not present or invalid.                                                                          
last_pfn = 0x4000 max_arch_pfn = 0x100000                                                            
init_memory_mapping: 0000000000000000-0000000004000000                                               
64MB LOWMEM available.                                                                               
  mapped low ram: 0 - 04000000                                                                       
  low ram: 0 - 04000000                                                                              
  node 0 low ram: 00000000 - 04000000                                                                
  node 0 bootmap 00001000 - 00001800                                                                 
(6 early reservations) ==> bootmem [0000000000 - 0004000000]                                         
  #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]                        
  #1 [0000100000 - 0000344b3c]    TEXT DATA BSS ==> [0000100000 - 0000344b3c]                        
  #2 [000009f000 - 0000100000]    BIOS reserved ==> [000009f000 - 0000100000]                        
  #3 [0000345000 - 0000347000]              BRK ==> [0000345000 - 0000347000]                        
  #4 [0000007000 - 0000015000]          PGTABLE ==> [0000007000 - 0000015000]                        
  #5 [0000001000 - 0000002000]          BOOTMAP ==> [0000001000 - 0000002000]                        
Zone PFN ranges:                                                                                     
  DMA      0x00000000 -> 0x00001000                                                                  
  Normal   0x00001000 -> 0x00004000                                                                  
Movable zone start PFN for each node                                                                 
early_node_map[2] active PFN ranges                                                                  
    0: 0x00000000 -> 0x000000a0                                                                      
    0: 0x00000100 -> 0x00004000                                                                      
Using APIC driver default                                                                            
No local APIC present or hardware disabled                                                           
APIC: disable apic facility                                                                          
Allocating PCI resources starting at 4000000 (gap: 4000000:fbf00000)                                 
Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 16160                           
Kernel command line: block2mtd.block2mtd=/dev/sda2,131072,rootfs root=/dev/mtdblock0 rootfstype=jffs2  noinitrd console=tty0 console=ttyS0,38400n8 reboot=bios
PID hash table entries: 256 (order: 8, 1024 bytes)                                                                                                            
Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)                                                                                                 
Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)                                                                                                  
Initializing CPU#0                                                                                                                                            
Memory: 62172k/65536k available (1429k kernel code, 2956k reserved, 581k data, 204k init, 0k highmem)                                                         
virtual kernel memory layout:                                                                                                                                 
    fixmap  : 0xfffa4000 - 0xfffff000   ( 364 kB)                                                                                                             
    vmalloc : 0xc4800000 - 0xfffa2000   ( 951 MB)                                                                                                             
    lowmem  : 0xc0000000 - 0xc4000000   (  64 MB)                                                                                                             
      .init : 0xc02f7000 - 0xc032a000   ( 204 kB)                                                                                                             
      .data : 0xc0265565 - 0xc02f6b48   ( 581 kB)                                                                                                             
      .text : 0xc0100000 - 0xc0265565   (1429 kB)                                                                                                             
Checking if this processor honours the WP bit even in supervisor mode...Ok.                                                                                   
SLUB: Genslabs=13, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1                                                                                       
NR_IRQS:288                                                                                                                                                   
Fast TSC calibration using PIT                                                                                                                                
Detected 233.345 MHz processor.                                                                                                                               
Console: colour dummy device 80x25                                                                                                                            
console [tty0] enabled                                                                                                                                        
console [ttyS0] enabled                                                                                                                                       
Calibrating delay loop (skipped), value calculated using timer frequency.. 466.69 BogoMIPS (lpj=2333450)                                                      
Mount-cache hash table entries: 512                                                                                                                           
CPU: Geode by NSC Geode(TM) Integrated Processor by National Semi stepping 00                                                                                 
Checking 'hlt' instruction... OK.                                                                                                                             
NET: Registered protocol family 16                                                                                                                            
PCI: PCI BIOS revision 2.10 entry at 0xfc47b, last bus=0                                                                                                      
PCI: Using configuration type 1 for base access                                                                                                               
bio: create slab <bio-0> at 0                                                                                                                                 
SCSI subsystem initialized                                                                                                                                    
PCI: Probing PCI hardware                                                                                                                                     
pci 0000:00:0e.0: PME# supported from D0 D1 D2 D3hot                                                                                                          
pci 0000:00:0e.0: PME# disabled                                                                                                                               
NET: Registered protocol family 2                                                                                                                             
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)                                                                                                
TCP established hash table entries: 2048 (order: 2, 16384 bytes)                                                                                              
TCP bind hash table entries: 2048 (order: 1, 8192 bytes)                                                                                                      
TCP: Hash tables configured (established 2048 bind 2048)                                                                                                      
TCP reno registered                                                                                                                                           
NET: Registered protocol family 1                                                                                                                             
platform rtc_cmos: registered platform RTC device (no PNP device found)                                                                                       
scx200: NatSemi SCx200 Driver                                                                                                                                 
scx200: GPIO base 0xf400                                                                                                                                      
scx200: Configuration Block base 0x9000                                                                                                                       
squashfs: version 4.0 (2009/01/31) Phillip Lougher                                                                                                            
Registering mini_fo version $Id$                                                                                                                              
JFFS2 version 2.2. (NAND) (SUMMARY)  © 2001-2006 Red Hat, Inc.                                                                                                
msgmni has been set to 121                                                                                                                                    
alg: No test for lzma (lzma-generic)                                                                                                                          
alg: No test for stdrng (krng)                                                                                                                                
io scheduler noop registered                                                                                                                                  
io scheduler deadline registered (default)                                                                                                                    
isapnp: Scanning for PnP cards...                                                                                                                             
isapnp: No Plug & Play device found                                                                                                                           
Non-volatile memory driver v1.3                                                                                                                               
cs5535_gpio: DIVIL not found                                                                                                                                  
Serial: 8250/16550 driver, 2 ports, IRQ sharing disabled                                                                                                      
serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a NS16550A                                                                                                        
scsi0 : sc1200                                                                                                                                                
scsi1 : sc1200                                                                                                                                                
ata1: PATA max UDMA/33 cmd 0x1f0 ctl 0x3f6 bmdma 0xfc00 irq 14                                                                                                
ata2: DUMMY                                                                                                                                                   
natsemi dp8381x driver, version 2.1, Sept 11, 2006                                                                                                            
  originally by Donald Becker <becker@scyld.com>                                                                                                              
  2.4.x kernel port by Jeff Garzik, Tjeerd Mulder                                                                                                             
natsemi eth0: NatSemi DP8381[56] at 0x80000000 (0000:00:0e.0), 00:0d:b9:05:35:fc, IRQ 10, port TP.                                                            
ata1.00: CFA: Hyperstone ATA, 30/06/03, max PIO4                                                                                                              
ata1.00: 256256 sectors, multi 0: LBA                                                                                                                         
ata1.00: configured for PIO4                                                                                                                                  
ata1.00: configured for PIO4                                                                                                                                  
ata1: EH complete                                                                                                                                             
scsi 0:0:0:0: Direct-Access     ATA      Hyperstone ATA   30/0 PQ: 0 ANSI: 5                                                                                  
sd 0:0:0:0: [sda] 256256 512-byte logical blocks: (131 MB/125 MiB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
 sda: sda1 sda2
sd 0:0:0:0: [sda] Attached SCSI removable disk
Creating 1 MTD partitions on "rootfs":
0x000000000000-0x000003020000 : "rootfs"
split_squashfs: no squashfs found in "rootfs"
block2mtd: mtd0: [rootfs] erase_size = 128KiB [131072]
PNP: No PS/2 controller found. Probing ports directly.
i8042.c: No controller found.
mice: PS/2 mouse device common for all mice
rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
rtc0: alarms up to one day, 114 bytes nvram
scx200_wdt: timer margin 60 seconds
cpuidle: using governor ladder
cpuidle: using governor menu
enabling scx200 high-res timer (1 MHz +0 ppm)
TCP westwood registered
NET: Registered protocol family 17
Using IPI Shortcut mode
rtc_cmos rtc_cmos: setting system clock to 2000-01-01 00:00:12 UTC (946684812)
Switched to NOHz mode on CPU #0
VFS: Mounted root (jffs2 filesystem) readonly on device 31:0.
Freeing unused kernel memory: 204k freed
Please be patient, while OpenWrt loads ...
Clocksource tsc unstable (delta = -39448474095 ns)
- preinit -
Press CTRL-C for failsafe
- init -

Please press Enter to activate this console. eth0: DSPCFG accepted after 0 usec.
eth0: link up.
eth0: Setting full-duplex based on negotiated link capability.
scx200_wdt: timer margin 60 seconds



BusyBox v1.13.4 (2009-09-25 17:35:53 EEST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 KAMIKAZE (bleeding edge, r17723) ------------------
  * 10 oz Vodka       Shake well with ice and strain
  * 10 oz Triple sec  mixture into 10 shot glasses.
  * 10 oz lime juice  Salute!
 ---------------------------------------------------
root@OpenWrt:/#

comment:4 Changed 22 months ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.